Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TIndices

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TIndices

All Implemented Interfaces:
  Visitable

    public class TIndices

extends TParseTreeNode

Postgresql;

used in subscript:

'[' expr ']'

'[' expr ':' expr ']'

Constructor Summary
`TIndices()`

Method Summary
`TObjectName` | `getAttributeName()` If this attribute name was set, then this is a fake Indices
`TExpression` | `getLowerSubscript()`
`TExpression` | `getUpperSubscript()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`boolean` | `isRealIndices()`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TIndices

    public TIndices()

Method Detail

### getAttributeName

    public TObjectName getAttributeName()

  If this attribute name was set, then this is a fake Indices

  Returns:

### getLowerSubscript

    public TExpression getLowerSubscript()

### getUpperSubscript

    public TExpression getUpperSubscript()

### isRealIndices

    public boolean isRealIndices()

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Overrides:
    `init` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD